BEGIN BSGELLAL



IF ~See(Player1)
InParty(Myself)
!Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
Global("TalkAboutFeastGood","LOCALS",1)
~ THEN BEGIN feastEndGoodTalkF
   SAY ~Thank you, my mistress, for this celebration.~
   =
   ~We will remember your work as a great leader.~
   =
   ~Now ties between us are strengthened.~
   =
   ~This is a good everyday experience for you, mistress.~
   IF ~~ THEN DO ~SetGlobal("TalkAboutFeastGood","LOCALS",2)
   ChangeStat(Player1,XP,3000,ADD)
   ChangeStat(Player2,XP,3000,ADD)
   ChangeStat(Player3,XP,3000,ADD)
   ChangeStat(Player4,XP,3000,ADD)
   ChangeStat(Player5,XP,3000,ADD)
   ChangeStat(Player6,XP,3000,ADD)~ EXIT
END


IF ~See(Player1)
InParty(Myself)
Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
Global("TalkAboutFeastGood","LOCALS",1)
~ THEN BEGIN feastEndGoodTalkM
   SAY ~Thank you, my master, for this celebration.~
   =
   ~We will remember your work as a great leader.~
   =
   ~Now ties between us are strengthened.~
   =
   ~This is a good everyday experience for you, my master.~
   IF ~~ THEN DO ~SetGlobal("TalkAboutFeastGood","LOCALS",2)
   ChangeStat(Player1,XP,3000,ADD)
   ChangeStat(Player2,XP,3000,ADD)
   ChangeStat(Player3,XP,3000,ADD)
   ChangeStat(Player4,XP,3000,ADD)
   ChangeStat(Player5,XP,3000,ADD)
   ChangeStat(Player6,XP,3000,ADD)~ EXIT
END


IF ~See(Player1)
InParty(Myself)
!Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
Global("TalkAboutFeastEnded","LOCALS",1)
~ THEN BEGIN feastEndTalkF
   SAY ~We completed our harvest, my mistress.~
   =
   ~It's a time to return to crypt and enjoy a meal.~
   =
   ~I'm trembling with anticipation.~
   IF ~~ THEN DO ~~ EXIT
END


IF ~See(Player1)
InParty(Myself)
!Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
Global("TalkAboutFeastEnded","LOCALS",1)
~ THEN BEGIN feastEndTalkF
   SAY ~We completed our harvest, my master.~
   =
   ~It's a time to return to crypt and enjoy a meal.~
   =
   ~I'm trembling with anticipation.~
   IF ~~ THEN DO ~~ EXIT
END


IF ~See(Player1)
!Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
Global("TalkAboutFeast","LOCALS",1)
~ THEN BEGIN feastTalkF
   SAY ~Allow me to speak with you, my mistress.~
   IF ~~ THEN REPLY ~I am listening, Gellal.~ DO ~SetGlobal("TalkAboutFeast","GLOBAL",2)~ GOTO feastTalk2F
   IF ~~ THEN REPLY ~Shut up and get out of my sight!~ DO ~SetGlobal("TalkAboutFeast","GLOBAL",2)~  GOTO feastLeave
END

IF ~~ THEN BEGIN feastTalk2F
   SAY ~Our people must celebrate you becoming our mistress.~
   =
   ~I propose you and I go to Athkatla streets and find provision for celebration.~
   =
   ~I mean we need to invite some mortals to our party.~
   IF ~~ THEN REPLY ~Prepare yourself, we are going out.~ DO ~~ GOTO feastTalk2GoF
   IF ~~ THEN REPLY ~I will gather provision myself.~ DO ~~  GOTO feastTalk2SelfF
   IF ~~ THEN REPLY ~That is absolutely terrible! I will not allow this.~ DO ~~  GOTO feastNoF
END

IF ~See(Player1)
Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
Global("TalkAboutFeast","LOCALS",1)
~ THEN BEGIN feastTalkM
   SAY ~Allow me to speak with you, my master.~
   IF ~~ THEN REPLY ~I am listening, Gellal.~ DO ~SetGlobal("TalkAboutFeast","GLOBAL",2)~  GOTO feastTalk2M
   IF ~~ THEN REPLY ~Shut up and get out of my sight!~ DO ~SetGlobal("TalkAboutFeast","GLOBAL",2)~  GOTO feastLeave
END

IF ~~ THEN BEGIN feastTalk2M
   SAY ~Our people must celebrate you becoming our master.~
   =
   ~I propose you and I go to Athkatla streets and find provision for celebration.~
   =
   ~I mean we need to invite some mortals to our party.~
   IF ~~ THEN REPLY ~Prepare yourself, we are going out.~ GOTO feastTalk2GoM
   IF ~~ THEN REPLY ~I will gather provision myself.~ GOTO feastTalk2SelfM
   IF ~~ THEN REPLY ~That is absolutely terrible! I will not allow this.~ GOTO feastNoM
END

IF ~~ feastTalk2GoF
  SAY ~I will instruct you what we must do, my mistress.~
  =
  ~If I say 'this is it', we must use our vampire domination on object and command to move to our stronghold.~
  =
  ~We will go to all districts of Athkatla and search for, I calculated, twelve mortals.~
  =
  ~When we have sufficient quantity, we will return to stronghold and start a feast.~
  IF ~~ THEN DO ~SetGlobal("FeastStarted","GLOBAL",1)
SetGlobal("FeastSearch","LOCALS",1)
JoinParty()~ EXIT
END

IF ~~ feastTalk2GoM
  SAY ~I will instruct you what we must do, my master.~
  =
  ~If I say 'this is it', we must use domination on object and command to move to our stronghold.~
  =
  ~We will go to all districts of Athkatla and search for, I calculated, twelve mortals.~
  =
  ~When we have sufficient quantity, we will return to stronghold and start a feast.~
  IF ~~ THEN DO ~SetGlobal("FeastStarted","GLOBAL",1)
SetGlobal("FeastSearch","LOCALS",1)
JoinParty()~ EXIT
END

IF ~~ feastTalk2SelfM
  SAY ~Then I will instruct you what you must do, my master.~
  =
  ~Go to city and find a tasty mortals. When you will find good ones, use domination on object and command to move to our stronghold.~
  =
  ~You must visit all districts of Athkatla and search for, I calculated, twelve mortals.~
  =
  ~When you manage to gather them, return to stronghold and start a feast.~
  IF ~~ THEN DO ~SetGlobal("FeastStarted","GLOBAL",1)~ EXIT
END

IF ~~ feastTalk2SelfF
  SAY ~Then I will instruct you what you must do, my mistress.~
  =
  ~Go to city and find a tasty mortals. When you will find good ones, use domination on object and command to move to our stronghold.~
  =
  ~You must visit all districts of Athkatla and search for, I calculated, twelve mortals.~
  =
  ~When you manage to gather them, return to stronghold and start a feast.~
  IF ~~ THEN DO ~SetGlobal("FeastStarted","GLOBAL",1)~ EXIT
END


IF ~~ feastLeave
  SAY ~Oi!~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,40)~ EXIT
END


IF ~~ feastNoF
  SAY ~As you wish, mistress!~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,40)~ EXIT
END


IF ~~ feastNoM
  SAY ~As you wish, master!~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,40)~ EXIT
END


IF ~See(Player1)
!Gender(Player1,MALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1F
   SAY ~I will serve you, my mistress!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END

IF ~See(Player1)
Gender(Player1,MALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1M
   SAY ~I will serve you, my master!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END


IF ~See(Player1)
  !Gender(Player1,MALE)
  Global("GellalResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~It's you! Why is some wench is resurrecting me? Why?~
   ++ ~I will let you live and be in one piece, if you will pledge royality to me!~ + briefingNV1
   ++ ~I have a weakness for aristocrates.~ + briefingNV1   
   ++ ~Whom are calling 'wench'?!~ + briefing3f
END


IF ~See(Player1)
Gender(Player1,MALE)
  Global("GellalResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~It's you! Why is some peasant is resurrecting me? Why?~
   ++ ~I will let you live and be in one piece, if you will pledge royality to me!~ + briefingNV1
   ++ ~I have a weakness for aristocrates.~ + briefingNV1
   ++ ~Whom are calling 'peasant'?!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~Look, I don't want to die. But I will keep my prejudices on you.~
  ++ ~Then join my party.~ + briefing2
  ++ ~You are free. I release you from serving.~ + briefing3
  ++ ~Die, rich bloodsucker!~ + briefing3f
END



IF ~~ briefing2
  SAY ~Okay, okay, I will not fight you, if that is what you mean.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("GellalResurrected","GLOBAL",2)
  DestroyItem("VVHGELAL")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~You!~
  IF ~~ THEN DO ~SetGlobal("GellalResurrected","GLOBAL",2)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>. I will try to return my family riches than.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("GellalResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you need me, superior?~ 
 ++ ~Come with me, Gellal, I need your skills.~ + notparty1
 ++ ~Stay here, Gellal, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you not need me anymore, superior?~ 
 ++ ~Return, Gellal, I need you, my servant.~ + notparty1
 ++ ~Stay here, Gellal, I will return.~ + notparty2
  ++ ~You are free to go. I release you from your duties.~ + briefing3 
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you not need me anymore, my mistress?~ 
 ++ ~Return, Gellal, I need you, my servant.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Gellal, I will return.~ + notparty2
  ++ ~You are free to go. I release you from your duties.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMaleB1
SAY ~Do you not need me anymore, my master?~ 
 ++ ~Return, Gellal, I need you, my servant.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Gellal, I will return.~ + notparty2
  ++ ~You are free to go. I release you from your duties.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~I was starting to get bored.~
  IF ~~ THEN DO ~
	//	DestroyItem("VVGellal")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~Oh no! My dress will become dirty and wet!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~If you say so.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[1215.485],N)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, do you need something?~ 
 ++ ~Are you hungry? You can drink my blood, Gellal.~ + suckblood
 ++ ~Tell me your story, Gellal.~ + talkGellalM
 ++ ~No, nothing, sorry, Gellal.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~My mistress, do you need something?~ 
 ++ ~Are you hungry? You can drink my blood, Gellal.~ + suckblood
 ++ ~Tell me your story, Gellal.~ + talkGellalF
 ++ ~No, nothing, sorry, Gellal.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something?~ 
 ++ ~Are you hungry? You can drink my blood, Gellal.~ + suckblood
 ++ ~Make me a vampire, Gellal.~ + vampconvm
 ++ ~Tell me your story, Gellal.~ + talkGellalM
 ++ ~No, nothing, sorry, Gellal.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something?~ 
 ++ ~Are you hungry? You can drink my blood, Gellal.~ + suckblood
 ++ ~Make me a vampire, Gellal.~ + vampconvf 
 ++ ~Tell me your story, Gellal.~ +   talkGellalM
 ++ ~No, nothing, sorry, Gellal.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ byesilent
SAY ~As you want!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkGellalM
  SAY ~I am a descendant of noble family in Amn. When Bodhi moved in, I was in a counsil of Ahkatla. She needed to hide vampire existance in Grave Yard from authorities and cover hunts.~
  IF ~~ THEN GOTO talkGellalM2
END

IF ~~ talkGellalM2
  SAY ~I helped her... for a price. But than one day she decided to cut ties and made me into vampire. I couldn't influence her works. Because I am not a suicider. But I finally began to like this tasty blood thing. We don't live here like poor, you know.~
  IF ~~ THEN GOTO talkGellalM3
END

IF ~~ talkGellalM3
  SAY ~I hope you will be better master than Bodhi and will decorate my life with more gold and fashion.~
  IF ~~ THEN EXIT
END


IF ~~ talkGellalF
  SAY ~I am a descendant of noble family in Amn. When Bodhi moved in, I was in a counsil of Ahkatla. She needed to hide vampire existance in Grave Yard from authorities and cover hunts.~
  IF ~~ THEN GOTO talkGellalF2
END

IF ~~ talkGellalF2
  SAY ~I helped her... for a price. But than one day she decided to cut ties and made me into vampire. I couldn't influence her works. Because I am not a suicider. But I finally began to like this tasty blood thing. We don't live here like poor, you know.~
  IF ~~ THEN GOTO talkGellalF3
END

IF ~~ talkGellalF3
  SAY ~I hope you will be better mistress than Bodhi and will decorate my life with more gold and fashion.~
 IF ~~ THEN EXIT
END




IF ~~ suckblood
  SAY ~I am always ready.~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~You propose me to drink this terrible thing?~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ suckblood2
  SAY ~Your blood is rather inviting!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,90,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Gellal gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Gellal's teeth go out and brutally bite you in your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel his teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Gellal.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Gellal and his self-concerned throughts. He is a boring man.)~

  IF ~~ THEN DO ~  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,3,ADD)
		ChangeStat(Player1,STR,1,ADD)
		ChangeStat(Player1,WIS,-2,ADD)
		ChangeStat(Player1,INT,-2,ADD)
	

		SetGlobal("GellalVampirized","GLOBAL",1)	
	~ EXIT
END


